GNU bug report logs - #59537
`libxml-parse-xml-region` strips out the namespace information, and namespace prefix in the DOM representation

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>; Keywords: notabug; Done: Stefan Kangas <stefankangas@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 59537-done <at> debbugs.gnu.org:


Received: (at 59537-done) by debbugs.gnu.org; 3 Dec 2022 00:58:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 02 19:58:36 2022
Received: from localhost ([127.0.0.1]:49882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1p1GrU-0005sf-Bw
	for submit <at> debbugs.gnu.org; Fri, 02 Dec 2022 19:58:36 -0500
Received: from mail-oa1-f51.google.com ([209.85.160.51]:35594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1p1GrO-0005sX-UX
 for 59537-done <at> debbugs.gnu.org; Fri, 02 Dec 2022 19:58:34 -0500
Received: by mail-oa1-f51.google.com with SMTP id
 586e51a60fabf-143ffc8c2b2so7411400fac.2
 for <59537-done <at> debbugs.gnu.org>; Fri, 02 Dec 2022 16:58:30 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=EYDSHg8J6N7nlcQQ2DKJfv0wEVVWb9fjIJrjd3vfppc=;
 b=Doiz7zvLVY6qnb0FPq6Pa/4M2s/RzMLaxret4KREXSZWCCsFnpsjJZGukDN96lu5VN
 NkbmOuwLRe3+OXVhZEUtnQj9G27gOt84NCxj2gwr+b8f/xwj2ZU6yz0wvEPCyOWvzZog
 EUJLKzIQtcIxxBd9JBfpde/4g1siX1KL/rDKHGrEovX7rdoq6eyNedI0cfQw7xwudsmY
 5/7e2cwis7iv8NT/le5BgMBR025MeuXji3aSkvY2J08tPHUXwg0XewxIIM12NLd6jQIn
 tJ89ZxqEnte/DzKnZaHTqQZlYjlniz0lBjfn6wXDtqwrBM6kysH022hLIRinovAhPUsZ
 vpEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=EYDSHg8J6N7nlcQQ2DKJfv0wEVVWb9fjIJrjd3vfppc=;
 b=L2G7B2MuJexzQj4CWXlp+RvpbPqRxjaW7YXxxSvBz7lQ+ZipJSENSo9z53YN6FPS/i
 Ht96haEIpGFZ9Jb61q1p24hM5Y8C8yz62mhw3A+HcShwo4rw0+X7seUiWtyfJY/Cl06B
 14FniR8Xdqj8S8gf8b0frhksba8cF76uTvk16MJ1Xxucs3sOximMyVXaIU8KzHrAegBm
 7z57gE5tq6v3xoKewd3FK3WhQYTNjJe1CtncpKkbopIbd2rbvJojo6J0Ok2YdMpX7Sl6
 Hd/wUcinoqcce+1/FvgtwZv88YEpfaO3GveCO8t2d3TMm40Z9PsyfKcEcbZah3AMoVLa
 XtRg==
X-Gm-Message-State: ANoB5pkSPZQSn1RZ5DLWV+zHdZiYylUUFbtfPqMQ6tAHgRS0EpfTiVMF
 T6Hz5dxejyH1BS50DiA/KF+NzbiMbyo6dZ77/M0=
X-Google-Smtp-Source: AA0mqf7bSKTps05xG+o02j8nMuQ3XG/g6A26evdYOaYolDXrHK9Rl5bba8M/y3H3h4ty0iZnApBE16zOuYceWwAErt4=
X-Received: by 2002:a05:6870:4995:b0:143:522a:ebcc with SMTP id
 ho21-20020a056870499500b00143522aebccmr24561520oab.199.1670029105241; Fri, 02
 Dec 2022 16:58:25 -0800 (PST)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Fri, 2 Dec 2022 16:58:24 -0800
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <83pmdcwrae.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 24 Nov
 2022 13:00:41 +0200")
References: <TY2PR0101MB36936346CC278F0F42A8B891DA0F9@HIDDEN>
 <83wn7kwt0q.fsf@HIDDEN>
 <TY2PR0101MB3693E0E264287F641FACAC61DA0F9@HIDDEN>
 <83pmdcwrae.fsf@HIDDEN>
X-Hashcash: 1:20:221203:59537-done <at> debbugs.gnu.org::+JnH3CF5f4VOZNh2:6I5R
MIME-Version: 1.0
Date: Fri, 2 Dec 2022 16:58:24 -0800
Message-ID: <CADwFkmnEBPOXsPtdnsfSeTktd-mRCext6Y82ASQreB07=A2JZg@HIDDEN>
Subject: Re: bug#59537: `libxml-parse-xml-region` strips out the namespace
 information, and namespace prefix in the DOM representation
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 59537-done
Cc: 59537-done <at> debbugs.gnu.org,
 Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Date: Thu, 24 Nov 2022 16:21:30 +0530
>> Cc: 59537 <at> debbugs.gnu.org
>> From: Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>
>>
>> On 24/11/22 15:52, Eli Zaretskii wrote:
>> >> Date: Thu, 24 Nov 2022 14:31:52 +0530
>> >> From: Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>
>> >>
>> >> `libxml-parse-xml-region` strips out the namespace information, and namespace prefix in the DOM representation.
>> >>
>> >> Stripping out the NAMESPACE information is a bug.
>> > AFAICT, we just call a function from libxml2.  So I guess the bug is in that
>> > library?
>>
>> Do I need to upgrade?
>
> I don't know.  I'm not sure the latest libxml2 has this fixed.
>
> I'm saying that you should probably discuss this with the libxml2
> developers.
>
>> I believe, libxml was introduced to cater to Eww's HTML rendering.
>
> No, we introduced it for any kind of HTML and XML processing we need.

Since this doesn't look like a bug in Emacs, I'm closing it now.  Please
report it to the libxml2 developers.  Thanks.




Notification sent to Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Stefan Kangas <stefankangas@HIDDEN>:
You have taken responsibility. Full text available.
Added tag(s) notabug. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 59537 <at> debbugs.gnu.org:


Received: (at 59537) by debbugs.gnu.org; 24 Nov 2022 11:00:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 06:00:32 2022
Received: from localhost ([127.0.0.1]:57488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oy9y4-0007CG-2W
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2022 06:00:32 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oy9y1-0007C3-UT
 for 59537 <at> debbugs.gnu.org; Thu, 24 Nov 2022 06:00:30 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oy9xw-0001uy-ML; Thu, 24 Nov 2022 06:00:24 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=nkHu94jqH5MqSJGuzGt0XFe/Iw4VqOeX3xTGgVfT3VE=; b=ZUrTKzzhdQuZ+TLeS0z7
 SPHVdbbeGCULosENkeGBpT+Ft66GjmUENJKjFyCbqgk7vcRqDmW9dLkYD/3hR5CAI4/qUbvxRXoek
 L7ZsDEmHgtXLy/JriyJB7/KrVKSnU3nAiW4UPWaKO7P5AJJ50Q8N+ofFPa2Oeq1IyBbNqox2xxgcB
 jELAE4/WR+cW1j+hQmZl4aZ6qyWHh53oJSXBjDadrYYOB+cnVNo9ZS3Z4IODA/14Gn+7eouuulxYQ
 uOWOQT4NOAoTcauEYZPq0LEFbLmqgeCq7w1Bz5cw/W/bKjnB4CGMzXBEo+CCuaWeySLbBaP+CBZrS
 flMlty7a/iZXxQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oy9xs-0003tb-V6; Thu, 24 Nov 2022 06:00:24 -0500
Date: Thu, 24 Nov 2022 13:00:41 +0200
Message-Id: <83pmdcwrae.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>
In-Reply-To: <TY2PR0101MB3693E0E264287F641FACAC61DA0F9@HIDDEN>
 (message from Ramesh Nedunchezian on Thu, 24 Nov 2022 16:21:30 +0530)
Subject: Re: bug#59537: `libxml-parse-xml-region` strips out the namespace
 information, and namespace prefix in the DOM representation
References: <TY2PR0101MB36936346CC278F0F42A8B891DA0F9@HIDDEN>
 <83wn7kwt0q.fsf@HIDDEN> 
 <TY2PR0101MB3693E0E264287F641FACAC61DA0F9@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59537
Cc: 59537 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 24 Nov 2022 16:21:30 +0530
> Cc: 59537 <at> debbugs.gnu.org
> From: Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>
> 
> On 24/11/22 15:52, Eli Zaretskii wrote:
> >> Date: Thu, 24 Nov 2022 14:31:52 +0530
> >> From: Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>
> >>
> >> `libxml-parse-xml-region` strips out the namespace information, and namespace prefix in the DOM representation.
> >>
> >> Stripping out the NAMESPACE information is a bug.
> > AFAICT, we just call a function from libxml2.  So I guess the bug is in that
> > library?
> 
> Do I need to upgrade? 

I don't know.  I'm not sure the latest libxml2 has this fixed.

I'm saying that you should probably discuss this with the libxml2
developers.

> I believe, libxml was introduced to cater to Eww's HTML rendering.

No, we introduced it for any kind of HTML and XML processing we need.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59537; Package emacs. Full text available.

Message received at 59537 <at> debbugs.gnu.org:


Received: (at 59537) by debbugs.gnu.org; 24 Nov 2022 10:51:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 05:51:50 2022
Received: from localhost ([127.0.0.1]:57449 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oy9pe-0006wv-41
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2022 05:51:50 -0500
Received: from mail-tyzapc01olkn2082.outbound.protection.outlook.com
 ([40.92.107.82]:43197 helo=APC01-TYZ-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rameshnedunchezian@HIDDEN>) id 1oy9pb-0006wV-Au
 for 59537 <at> debbugs.gnu.org; Thu, 24 Nov 2022 05:51:47 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=nfiVnEDsApFOHxase+M+cKMudBLKnXZOV3C2tKLXfBGTdMvoNvorDxMRUVYhhP4RUOkQVJs+MYIV0sQshjKx4SGSjwkSqqo9+QDv3iPNPtJUrLMk6fqIMC3zySb+Nr+cTg7aQzJiUYY4dHi/JuRou3GOIll5NRvgC/qbiXYe9VeviAYQAUUe1+ibVMMqz29vmGPJ8Ybq/wUFIKmykp0zBAdfDOIUE/mFJCA14h5FTVgbWpzYYFLM1pTtRNLXICUe/fnpBWFQ5a2rbJFQUzxh9Uq2uRSFtf5VvJWlQIfsmY0Os6TnPL39hF9akjsImv6Dzf15wkyzDLeZu9v8ysOlrw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=KOfIBlqvA8H7iREEFHj7dKoCtV6vEDbgAGXuVlEReSU=;
 b=VOLPhxvn8kVEO9Xa3KCAodRPmjUwGJsjT+icuFy4LKoXc3ytR+ljlQi2bY1n6HOyABHDHBXjj79M1cTrR88XiWJaqEM503oZbijxGZ9VMCbJJ5p45tVtokpcK/C+T/wmj/s9wq32zoIHQ8atehih24ogRcRoR1a72oX7o7jImWTxTnwp9D+2yvlPLW6W3WkM5+GfqKrn1q5GvXfdShXG58CeE+lmkMonYs3Y5kOzQJx+J8uU+H+RYAqkS//HoVBgrMfd6JX92D95PndPFowtcT0v3FXruojKDno7QIqfnHohchbS2/J1+yBSfE1XdM0Xc5dI5I9VkQ5bVUaA4TCfBA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=KOfIBlqvA8H7iREEFHj7dKoCtV6vEDbgAGXuVlEReSU=;
 b=VvD5ktAs/uIKKSyML03m2w+F4oOaHp1bwDmlKQBiZ/1EIpZ4Wqy2l0YI/rjscrmUGdbE+ogLT2ENbR2WnWu7Z/LxUSZJvg9EgnZwXskoqM807RNSO/8G5qCdzJGlPnbxgghAgwA2fuVtHRqe8AzuVGbcJuQn/QC0TvbVZrzmSKGJX8J+q+4Dk4xOQ4BtPWdKnVvKt7e28ZOfLyUDGi42cGEkQArZOgvw6Ogpy/sVJmrDAzla99Czqn5en3g8j722VLsOnKzAYYP1cONvw+o03G1FvFLTCksTbrfFsCANkF1V9PnULd5IZ2Hkh0bRHgmBoVJln1XagscZkWKkWUjpgA==
Received: from TY2PR0101MB3693.apcprd01.prod.exchangelabs.com
 (2603:1096:404:800f::16) by SEYPR01MB5217.apcprd01.prod.exchangelabs.com
 (2603:1096:101:da::10) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5834.11; Thu, 24 Nov
 2022 10:51:38 +0000
Received: from TY2PR0101MB3693.apcprd01.prod.exchangelabs.com
 ([fe80::43e:15e5:fd5b:c74a]) by
 TY2PR0101MB3693.apcprd01.prod.exchangelabs.com ([fe80::43e:15e5:fd5b:c74a%4])
 with mapi id 15.20.5834.018; Thu, 24 Nov 2022 10:51:37 +0000
Message-ID: <TY2PR0101MB3693E0E264287F641FACAC61DA0F9@HIDDEN>
Date: Thu, 24 Nov 2022 16:21:30 +0530
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.3.2
Subject: Re: bug#59537: `libxml-parse-xml-region` strips out the namespace
 information, and namespace prefix in the DOM representation
Content-Language: en-US
To: Eli Zaretskii <eliz@HIDDEN>
References: <TY2PR0101MB36936346CC278F0F42A8B891DA0F9@HIDDEN>
 <83wn7kwt0q.fsf@HIDDEN>
From: Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>
In-Reply-To: <83wn7kwt0q.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-TMN: [ognmm86GLkkK+rjPlXpkYnHoUjKZgYg4]
X-ClientProxiedBy: MA1P287CA0003.INDP287.PROD.OUTLOOK.COM
 (2603:1096:a00:35::16) To TY2PR0101MB3693.apcprd01.prod.exchangelabs.com
 (2603:1096:404:800f::16)
X-Microsoft-Original-Message-ID: <b5399bf2-25bf-daeb-a091-cd4062efa435@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: TY2PR0101MB3693:EE_|SEYPR01MB5217:EE_
X-MS-Office365-Filtering-Correlation-Id: 4e53de64-deee-4d23-6c29-08dace09dc74
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: kyh9ycvsq4Gk/UnRvmzlq6GC0fmzQu0/gt7Gluou2fw0d33VbLCxeA/WHdcMjiX7uMfjlZ+YGk24o9h3HDo417c5mxD3XhZ3Re7+I5ZRQaEF7VDi6olJMuedOY+WdlK2Pgpu0lZBbdxxhBlQNPLIpoqZszU0kn2loKvTuKgzG8I4gBxI+0qI3KrVxlV0rQwIbcU8IkeZfy9u0LhYxIQDhw9RdOjD/S00NmndzzC8QLdfh//TbLAMDAQsSi1Pl0rn8Bh0UecVAaz6MC+dlHh2WsFDjHVrtXTb0ubWpbbDhV8R6piBfMEQMxlOxRWGOY+mpKIXDNb/PVz6RgGL3TlI3a8/o4EqRFxtx8KaM4GmNIr8S8PjPhbnW/9SpRP79E61Xz6RbzobEATO4jVg6aaKGUJDDpBJOPpN0SD245prxW5AsgYY9gjh6fpPVh2fkQvyKkTG0GiWw6nvlQRvzpxa9fUxhagjWRpXNTi93NozeotozunvGW48E5kmNrVcW1VKMzJTSoVLekakcya+kSPRotFfL/dZfgXCoXjAc1CH0MrH0g8g3iHJA9gQMUFtwE8TWJP2HJaPzTWil8MrMUiOFZRcxrqhe0FAUjF+cHC9fmy0lC06y5zpjJADR6ZIZp2OJnGwZ4b7sdw6Uby0r4XyRA==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?bFFDbXhQcUlaNkNhS1FHVkt1MENMMXFZTmV1NFZ2NFZCNngyaVJvWmNUYlA4?=
 =?utf-8?B?ekQzaHdMTlRjZEVWcWV2TXRaQTRqVk0zQS9CbFM2M0k4L3dSa25TQTh3SWFO?=
 =?utf-8?B?S2ZiNUF2Nmg4Qk5zZWNFejhwSmxNTUtXeXhMUHRBUk96YzRNZmpVbUFNZmhx?=
 =?utf-8?B?eExNd01BVjJDSVhtMjJRU0pITlJnNmNmcmtEOXhNc0czZ1ZVZklINkRNU0RI?=
 =?utf-8?B?dGdzWVNLTUlqUWVSb3J1NVBQQlUzbGp4d3JkajRNM3hkdkFkYlBMSW9iMXQv?=
 =?utf-8?B?aThiYjZTOGNRUWVaYWVNUGRqdlRkeWRzbkZWaks2TFpqWWIyWUFIWml4N2pr?=
 =?utf-8?B?anZPVHBqWU5mRmc0dFFVN2ZPLzNQbDMxaUd5bXVkOGtpWlZHRkF5SjF3eHpk?=
 =?utf-8?B?d0hSY3R3MVFxVDE0R1ozMHdzQ1doVCsrREFEcDhCZXlJckRRYndjVjdTVlc5?=
 =?utf-8?B?d3B0R0JWMVJnUHNUc3IyUHo4cEZBdUdEd05LMzMvamI1Y0pVOG9RSGgwenpQ?=
 =?utf-8?B?d2szK2wwTlkyU096cThMSHZhbUdIZUxaRTJ0NXh0NTU2a1p3bkJkUmdNTVp1?=
 =?utf-8?B?a3daTDJVUEoyWlhvRStwOG1aay83NmhqRmZ3MGVtblB4akEwUS9XbnV4MU9x?=
 =?utf-8?B?dkVJS3pDM1F6Skd3WTlJNDErSHd0UWJnK3QySklXUTBURTJwS3BNSWNpS3Zu?=
 =?utf-8?B?Zm8xbU1qeTVtay9SMVpjU0ZadFQ1SGlSOEpKQ1FOSGVkcHVKWUhsY1N6WlpK?=
 =?utf-8?B?S2Nxa0U4RS9HUnEwZDlDVGJCNm1NSitrTHdCTzltU0Y1SGg4T2hrV2pGcm9l?=
 =?utf-8?B?OEFyQ0piMzBjSlhxaXJMT3V6cW5LVHRmRGsvWlBJMTRKV2FiY1NsMUNORTl4?=
 =?utf-8?B?aXhuL3E5L1BxZlN2d3BQazRObWFCZnFTY2o4UVZWLzBzMTJKcGR6WkMzdzNr?=
 =?utf-8?B?Wm1EVVkrVnVoQnlhaXV5TjByNjNJU0NUeEw2YmNXamJvcWUreWloUFNuUldj?=
 =?utf-8?B?U1JYY1ptd3NibFBGTmpwSWlvQk1YcE1WZVJ4QS80TVlvSWRqMXhWcS9jd3pS?=
 =?utf-8?B?REkxZHVINnBJSFc3Q3FNLzNSS0MvdFlXbXIwTlVjR1JEZGhlLzUvaG9QOE5o?=
 =?utf-8?B?QmdRQnR3UmMyN1NDQTVqTEx5Q2hUcmRCam9Ibms3eEpMSHZweCs0T1RSTzVT?=
 =?utf-8?B?SVBJTmdMdXc0dFoycXYrZ2daNFFmam5SRTFNTlRIbjRVWXNpN3gwMHc0LzZG?=
 =?utf-8?B?Y0pSRnJBcjd5ZDlEWUc2U0M0N0JKSVRTQ1ErMDhIRE1nRjFRRnZDVTNpbTZ1?=
 =?utf-8?B?cUhTNzBROG40eEF4cWd4VTZQc0dYOWh3OFBLek1VZlAydXFMZk8zUGU3aFVz?=
 =?utf-8?B?MUE3ejZnOEtDblBnd05XbzI5Ny9PajlQZ2J0THg2UndBSm8yVk5QNXU1RDhk?=
 =?utf-8?B?aUZqajQ3eWRsMkFyV05NRFVJT2c4QjdFM1VzdVp2YlR3TGFhQWhiTW4zZGxo?=
 =?utf-8?B?WU9iK0d4bHpPdFV4dEJEKzJWdGFyUndOeERQb2U5R29wSE9YeUVFRzhMdktW?=
 =?utf-8?B?akJsQmxlYlFTUnJNZlQ1b2I2eFF3aDZDRVhNOVRBUWhRRVRleS83eE1uT25o?=
 =?utf-8?B?UGJpSFVyQVBsOGo1bHFITGN0SzNHQlJNTFJtUG9pZ3c0a0xLYW1wTjJXVHg2?=
 =?utf-8?B?TVRxcU1ITzhISWJMWHR6anpvbEVFNUd3YkZvQUFmMENqeGJOTzRSa3BmRWhl?=
 =?utf-8?Q?wocXnMUYVeaFp+D8fo=3D?=
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 4e53de64-deee-4d23-6c29-08dace09dc74
X-MS-Exchange-CrossTenant-AuthSource: TY2PR0101MB3693.apcprd01.prod.exchangelabs.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 24 Nov 2022 10:51:37.8896 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SEYPR01MB5217
X-Spam-Score: 1.6 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 24/11/22 15:52, Eli Zaretskii wrote: >> Date: Thu, 24 Nov
 2022 14:31:52 +0530 >> From: Ramesh Nedunchezian >> >>
 `libxml-parse-xml-region`
 strips out the namespace information, and namespace pref [...] 
 Content analysis details:   (1.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rameshnedunchezian[at]outlook.com)
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.92.107.82 listed in list.dnswl.org]
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.92.107.82 listed in wl.mailspike.net]
 -0.0 NICE_REPLY_A           Looks like a legit reply (A)
 1.6 FORGED_MUA_MOZILLA     Forged mail pretending to be from Mozilla
X-Debbugs-Envelope-To: 59537
Cc: 59537 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.6 (/)

On 24/11/22 15:52, Eli Zaretskii wrote:
>> Date: Thu, 24 Nov 2022 14:31:52 +0530
>> From: Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>
>>
>> `libxml-parse-xml-region` strips out the namespace information, and namespace prefix in the DOM representation.
>>
>> Stripping out the NAMESPACE information is a bug.
> AFAICT, we just call a function from libxml2.  So I guess the bug is in that
> library?

Do I need to upgrade? 

I am on a  Debian Unstable, and my laptop was updated only 3-months ago.  I would think that for all practical purposes, my libraries are "recent".

I am not familiar with XML or XML libraries much. 

May be Emacs should provide other entry points to libxml which would  preserve (or return) the namespace information ..

The problem with current state of affairs is that round tripping wouldn't work.  That is if I move from XML1->DOM->XML2, XML1 and XML2 will no longer be the same.

I believe, libxml was introduced to cater to Eww's HTML rendering.  So, would it be "reasonable" to say that the current entry point is sufficient to work with HTML-like XML, and not for ANY XML.


I am on debian unstable


$ uname -a

Linux debian 5.19.0-1-amd64 #1 SMP PREEMPT_DYNAMIC Debian 5.19.6-1 (2022-09-01) x86_64 GNU/Linux

~$ ldd `which emacs` | grep xml

    libxml2.so.2 => /lib/x86_64-linux-gnu/libxml2.so.2 (0x00007f5a62052000)


~$ ls -al /lib/x86_64-linux-gnu/libxml2.so.2
lrwxrwxrwx 1 root root 17 Jul 24 01:33 /lib/x86_64-linux-gnu/libxml2.so.2 -> libxml2.so.2.9.14

~$ dpkg -S libxml2.so.2.9.14

libxml2:amd64: /usr/lib/x86_64-linux-gnu/libxml2.so.2.9.14

~$ apt show libxml2:amd64

Package: libxml2
Version: 2.9.14+dfsg-1+b1
Priority: optional
Section: libs
Source: libxml2 (2.9.14+dfsg-1)
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@HIDDEN>
Installed-Size: 1,938 kB
Depends: libc6 (>= 2.33), libicu71 (>= 71.1-1~), liblzma5 (>= 5.1.1alpha+20120614), zlib1g (>= 1:1.2.3.3)
Conflicts: w3c-dtd-xhtml
Homepage: http://xmlsoft.org
Tag: role::shared-lib
Download-Size: 708 kB
APT-Manual-Installed: no
APT-Sources: https://deb.debian.org/debian unstable/main amd64 Packages
Description: GNOME XML library
 XML is a metalanguage to let you design your own markup language.
 A regular markup language defines a way to describe information in
 a certain class of documents (eg HTML). XML lets you define your
 own customized markup languages for many classes of document. It
 can do this because it's written in SGML, the international standard
 metalanguage for markup languages.
 .
 This package provides a library providing an extensive API to handle
 such XML data files.






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59537; Package emacs. Full text available.

Message received at 59537 <at> debbugs.gnu.org:


Received: (at 59537) by debbugs.gnu.org; 24 Nov 2022 10:23:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 05:23:05 2022
Received: from localhost ([127.0.0.1]:57356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oy9Np-0006Bh-7h
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2022 05:23:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:35566)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oy9Nn-0006B1-H8
 for 59537 <at> debbugs.gnu.org; Thu, 24 Nov 2022 05:23:03 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oy9Ni-0004z5-5G; Thu, 24 Nov 2022 05:22:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=WF1x6IPzBFX/tBBuIo3Df3CU79IXDx8icCFijyPz+pg=; b=I2Vpx7CZb5JN
 srZrWEQJL06u3yD+CXXK4nZWIC6A7/Dr2dZ8p0gX3QKUz7eKxHj4uRa0rI0n721dUs4Fkj/Ysd0h7
 8JHlssMsoajn0ZRhUoc5smo0QJrKC07kax+cLc8Wg0GzQrIFqDhLrkMVWibewZvskV9kXWh+sY3z2
 jVUBOfADFqFS1Ht0Wi94iM9VJW2Bykl6xMvr/WzQdqBh4qaM/q3MF2pvmXj3/RSXFZIBonRg/kQeZ
 XEu3B233+UHBbeJlAqZwr96bYEVsGajwFqv690iVPkcFRdYBCWgbM+jtu9nPKXoPM1cTAZNt3/7eM
 uJ82PayeDa248ZR2Dr97yg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oy9Nh-0007iK-E1; Thu, 24 Nov 2022 05:22:57 -0500
Date: Thu, 24 Nov 2022 12:23:17 +0200
Message-Id: <83wn7kwt0q.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>
In-Reply-To: <TY2PR0101MB36936346CC278F0F42A8B891DA0F9@HIDDEN>
 (message from Ramesh Nedunchezian on Thu, 24 Nov 2022 14:31:52 +0530)
Subject: Re: bug#59537: `libxml-parse-xml-region` strips out the namespace
 information, and namespace prefix in the DOM representation
References: <TY2PR0101MB36936346CC278F0F42A8B891DA0F9@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 59537
Cc: 59537 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 24 Nov 2022 14:31:52 +0530
> From: Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>
> 
> `libxml-parse-xml-region` strips out the namespace information, and namespace prefix in the DOM representation.
> 
> Stripping out the NAMESPACE information is a bug.

AFAICT, we just call a function from libxml2.  So I guess the bug is in that
library?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#59537; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Nov 2022 09:07:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 24 04:07:23 2022
Received: from localhost ([127.0.0.1]:57228 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oy8CZ-00023s-78
	for submit <at> debbugs.gnu.org; Thu, 24 Nov 2022 04:07:23 -0500
Received: from lists.gnu.org ([209.51.188.17]:34522)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rameshnedunchezian@HIDDEN>) id 1oy8CX-00023j-Ma
 for submit <at> debbugs.gnu.org; Thu, 24 Nov 2022 04:07:21 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rameshnedunchezian@HIDDEN>)
 id 1oy8CX-0007cY-4m
 for bug-gnu-emacs@HIDDEN; Thu, 24 Nov 2022 04:07:21 -0500
Received: from mail-tyzapc01olkn2082a.outbound.protection.outlook.com
 ([2a01:111:f403:704b::82a]
 helo=APC01-TYZ-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <rameshnedunchezian@HIDDEN>)
 id 1oy8CR-0004cL-Rs
 for bug-gnu-emacs@HIDDEN; Thu, 24 Nov 2022 04:07:20 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=MH+HjapFFnfBznDCK4mjtEYmHgq27bLA8gb4PwWYk9OjPkJfB/28p2RBiZoRgXGFJF8CBHQzGMJSn54gQ1g8yL5SGNZ1dMaixuSZdMprvu7L85dEwaJLWJV7iSCj4UkijGUZUDCylLFITHatAk+/khhbhdkDFZin46GP0tdbX44Ek9GuH2TNYhZfWZjYGTkRPnBxz1bd015yJU5xyp5njovWUE0CtVBsLbbXPz1wC3bqi9/RVyclFXHIMrmynr76/CuXoGvjMeACwp8kFoc4oRd6EwfZqRcO+sEZ6VqC3XumMs9BR39biuPZYJGjTuczqEsbT4fRUEwl9LyrGAjiTA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=Bv2HP6StIljk+j+pmp2YzMvhLuDJaqi5R9GWQK6tKG4=;
 b=b3z07xwFq7jjlsnCBewgKQQF8o7EbfRoxFJKczuwu0eS3yOTYoGwTdMzhK8PWHhYsKG6Hj5CbXSxn1nPuyhvTsPuDL/O3NcHo+rHxslXDjtI8z+am89TyrsAVbu6UjMfs2UY1yLWZ7T4nk0BVHqYs3U1+rgKYsODwvGiFdabOtYuAjWwZVcbRlD+qHBQ0IiUAE1gshd2OZeNwAQLeqRxNu5ErZUAoWCXa4aVShDNnQ0qIPW6DZM9hby3Ix06KHaj4Q20HPvM5FiW5QdGdm6W1ot8HOOxyvoAmL6VO+mQIT3mEukJrkusNPaDi5lv8M57KON5rIGHejEiSkX6C10PSQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=outlook.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=Bv2HP6StIljk+j+pmp2YzMvhLuDJaqi5R9GWQK6tKG4=;
 b=mOo81dg3ykrqA4JeQpbB+3Rz7BbmLd5N2xqQpZF5arMJYudkEEuWzsU8qAtOFe3h9kAy6vkycmkeVMwkOXPqvmOwPJ54bUf09E76Pua2AZ8nb0OX7Pcy4Tvyspwyy6R0i8C4T91vWnIkgJZrXspr3fPMKtmCZ5Fi5+13o1jEh1xW97sKcSnhgD449a97l/nWxauVALcuSJ4PrjGeJ7XjKiEQRyo/rSXic/RVw3dtWUHyY6TQL2u7zhlc6VvISgA39TmvUX3PmgYxL56Mmt3IGlUXQVMMTRYyeRmPtht1SgH6Yf7r6T22pmV68nhNeltH1NrZQKJWchnIK6s1ZFALww==
Received: from TY2PR0101MB3693.apcprd01.prod.exchangelabs.com
 (2603:1096:404:800f::16) by SEZPR01MB4945.apcprd01.prod.exchangelabs.com
 (2603:1096:101:9c::12) with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5857.18; Thu, 24 Nov
 2022 09:02:04 +0000
Received: from TY2PR0101MB3693.apcprd01.prod.exchangelabs.com
 ([fe80::43e:15e5:fd5b:c74a]) by
 TY2PR0101MB3693.apcprd01.prod.exchangelabs.com ([fe80::43e:15e5:fd5b:c74a%4])
 with mapi id 15.20.5834.018; Thu, 24 Nov 2022 09:02:04 +0000
Content-Type: multipart/mixed; boundary="------------YZQptm56NZbAnzWSG6omfnLn"
Message-ID: <TY2PR0101MB36936346CC278F0F42A8B891DA0F9@HIDDEN>
Date: Thu, 24 Nov 2022 14:31:52 +0530
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:102.0) Gecko/20100101
 Thunderbird/102.3.2
Content-Language: en-US
To: bug-gnu-emacs@HIDDEN
From: Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>
Subject: `libxml-parse-xml-region` strips out the namespace information, and
 namespace prefix in the DOM representation
X-TMN: [704Mp9PKvFKmeRf9xBNyVvl7KnkBylUd]
X-ClientProxiedBy: MA0PR01CA0014.INDPRD01.PROD.OUTLOOK.COM
 (2603:1096:a01:80::21) To TY2PR0101MB3693.apcprd01.prod.exchangelabs.com
 (2603:1096:404:800f::16)
X-Microsoft-Original-Message-ID: <9fc4416e-9589-36ea-f18a-9126a90a3282@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-TrafficTypeDiagnostic: TY2PR0101MB3693:EE_|SEZPR01MB4945:EE_
X-MS-Office365-Filtering-Correlation-Id: 8975ccda-db95-458b-7949-08dacdfa8d5d
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: SeJEFw1T4x17KTarUgW0boQPG9HLr0bHyqIS4f6RGTsK0ocvr8Tul+xo5Q3BGaC2HA6c5mrFxjhQHQ+9mvfRw2YjDsMgjfvDR8RK1TT6KvcsaWVJqE6jiMiaPHdadOZNC3C7iV8QDM8Ap6h4W4NCk41hHJ2F6cbipd1K5XPyQCoCKxrVSBh/O6+zkUVxOOm7a1dhD07mEbMYOxN1mUCiOCNTgOrRNdASBqyex/krgpuxWjZNP5cKiJsq3roj1czKUh7Doj0qps1n/SN8D5IOxPaLn2nDC51rVx6jPc9I2gHFy5Mb33wpWgoNATviEvHyRRx80QWvyz3NUT1xtZiNi8yqlNVyteqB4EqLL1NRxATLcE59ghbImhTIFzV/NJMBdq/dK9+dTe0EL2K8XOLHmwUA1M9AMMRo4kffjnGeOAYqDhes/upNcjC3/p/6oHlJelKH7xRqDKFOkgqqCKibO1+Rf5AuDsrcUOJwEipARXEwftYrd6wXpJChXXS22bGptXAuq7CPGk3P49f06n8qb8BBLq5lZ+wCRevqL/jdWL0IFBBdCIC0qbqOrUH3jUsTpEjH4/csi5GPham3hG5SM7XTEWogjAO4kJnmXuXkINI=
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?SnNNTjd2WTRFWXM1WTJtUXkxa1F1SEdSTmVWS2k4NFE3SEtkQUtmbUNCa0Fo?=
 =?utf-8?B?YWhUd1pZdDNreEl6UGptT0ZIRU5mRk8zbGIvdTBUbU5sWHAxZWFsYXRQME54?=
 =?utf-8?B?MGZvSWhkZU5pb3B2ZXNMWnNrb0Z3di9ySkVMMUlrUzUrSzhlcG16dUNJczEx?=
 =?utf-8?B?SlVBSVVMTTRGNzVEa3g2VmdDSWVkbk9OVTU3YWRxYS8rZndyRC9ROUFYUHVS?=
 =?utf-8?B?b25aYXZ6clRxTWFuaFpMRkxEdnlBV3NBTEw2OTUrdlB3VjFwZGdMY1ZsYkdn?=
 =?utf-8?B?TTNCbGhKZkMxSWJIdlhTYnNRYWVGUFJhcU5SQko4TmxRbHhZanZJdWJGNk5z?=
 =?utf-8?B?Njd5WnBzbHQ0OGpFN1drOWl5emt5ZzNzNjJ1c2hETFpOT1RwMEM2V01nV3Ju?=
 =?utf-8?B?QnBOcUQrenl6TWZOV1JaQ2luZEM0ZHVXbVhNOFkrU2szSDhuU0pDWWNCS1NQ?=
 =?utf-8?B?dEo2WlRYUG13OTFTQTBPQnBFQ3c3K0IvOW5pL1JNanluMHFQMmVmbUhZYUhW?=
 =?utf-8?B?Tm9ETHlER3hoeExKNUlTTmFoSlNNODlER3Evalp2aWlGNWJNcjVBQXQ2aUVG?=
 =?utf-8?B?VGV3ZzJBQVl2Y1JkTmc2bFJOLzc5TXNlQlB1SUs2QkV5RFl6czcwMVBleDdV?=
 =?utf-8?B?eWpLbm5acTFhWFJjbm5NVU1wOGRVanNWR3lmRmxVakQyalpQclBJN2Z4RE9E?=
 =?utf-8?B?NkhYZXdZRTJzc0o3dWRISWZKZlRoRWszaEpRMVo2aXJGZENLNXZvbytsQTZ5?=
 =?utf-8?B?V0owL0VVTkcvVE96ckJud1ZEc25OT3NRUVpWcFBnVG1ReTJsL3pYbmVtNG1H?=
 =?utf-8?B?NXJPdEdCRlRGTUhjeTBxNGczR3I0TGdYQ05sKzhjam5BUHdlTjZGMkJQYVJx?=
 =?utf-8?B?S0hUK0VuWWNqYmFVWDdwcTYrbGJqWVROK1N6UUZ3c1NYSFFMY3kwb0NxSDhJ?=
 =?utf-8?B?amhYNDNWNXVMSnNLaTlOTDFpaFZLWkpyYnU3QTJLZ3kyV3c4a2wrT0RibHVi?=
 =?utf-8?B?SHRteDJlVlZDT05GcHB3NnBsSTJTUDZielNFaWNVM0xiUVI2VFp4Q1pabjBL?=
 =?utf-8?B?M1pndEJXV2pRT2FlenNnK0FJNmFwQks4TUtZSy9SMmdYSDViZTM4TkxTMUwr?=
 =?utf-8?B?Z3hLZE8vMnpYejM0SjY1dlRrQWdxOHRYMUlGUTRWRU4zR0VWSlY1K3ZvK1Nh?=
 =?utf-8?B?ZThIUTV3dmEvdDlNd1puc0l3VllZVURXSDUybWVuemhFdmNQUStRNjZOMUhz?=
 =?utf-8?B?YWdyR1NqVHdWSVBtaDJnV3ZaakJicjVHQ1BDRmlkUlpMVG10K01YYk9MN2V0?=
 =?utf-8?B?K0ptbTZkckovaXIxOGlmMW1nM0dUVnpZQkloUmZBSytRM0pkSDRna212RXFx?=
 =?utf-8?B?S2lHaVY3YUlZVTJnU2pxMDhnQnJyT1l2eGZmZ0xDeXVmYzV6OEFIMUMzeW5o?=
 =?utf-8?B?emlxZEI3cWNxRDQ0Sm5kYzFXSlQvVEg5MjdNU25vSXJocjZncHZvR0dTR0ZU?=
 =?utf-8?B?QkFxaU54QSt0bU9zMVJMWWh3UUhmS3pEeEVRdUtMSm9FZE04QURDUmRrZTdx?=
 =?utf-8?B?T2lhMGpxU3VNTVVSeWh6SWpZU3dPamY4SkhEbDFZYXc1TXJWdmRIb3FnQThx?=
 =?utf-8?B?SHBLUHViZjI4M0cxSFRQTVhHUFlkcVZWbjhCdURmaHl4V0tUU3A1TkRGNExH?=
 =?utf-8?B?a29rQ2xaVk8wYWpYdWhNTnJxSjAzbjdYSlcwL1ZHL1VVaSs1WGVVSCtCVm1j?=
 =?utf-8?Q?2aq85Lvx77pPqsMX2U=3D?=
X-OriginatorOrg: outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 8975ccda-db95-458b-7949-08dacdfa8d5d
X-MS-Exchange-CrossTenant-AuthSource: TY2PR0101MB3693.apcprd01.prod.exchangelabs.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 24 Nov 2022 09:02:04.3274 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SEZPR01MB4945
Received-SPF: pass client-ip=2a01:111:f403:704b::82a;
 envelope-from=rameshnedunchezian@HIDDEN;
 helo=APC01-TYZ-obe.outbound.protection.outlook.com
X-Spam_score_int: 2
X-Spam_score: 0.2
X-Spam_bar: /
X-Spam_report: (0.2 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FORGED_MUA_MOZILLA=2.309,
 FREEMAIL_FROM=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--------------YZQptm56NZbAnzWSG6omfnLn
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

`libxml-parse-xml-region` strips out the namespace information, and namespace prefix in the DOM representation.

Stripping out the NAMESPACE information is a bug.

FWIW, the XML file under question is a OpenDocument styles file.

See the attached =xml.org= file for more information.  That is, ...execute the org babel blocks, and follow the inline comments in there. 


In GNU Emacs 29.0.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version
 3.24.34, cairo version 1.16.0) of 2022-11-19 built on debian
Repository revision: a6ae13af42ede6618c326855ea4c95e0298fb75b
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
System Description: Debian GNU/Linux bookworm/sid

Configured using:
 'configure --with-imagemagick --with-xwidgets --with-json
 --without-compress-install'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ
IMAGEMAGICK JPEG JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2
M17N_FLT MODULES NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3
THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XINPUT2 XPM XWIDGETS GTK3
ZLIB


--------------YZQptm56NZbAnzWSG6omfnLn
Content-Type: text/org; charset=UTF-8; name="xml.org"
Content-Disposition: attachment; filename="xml.org"
Content-Transfer-Encoding: base64
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--------------YZQptm56NZbAnzWSG6omfnLn--




Acknowledgement sent to Ramesh Nedunchezian <rameshnedunchezian@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#59537; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 3 Dec 2022 01:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.